Package org.gdal.gdal

# Class ExtendedDataType

java.lang.Object
org.gdal.gdal.ExtendedDataType

public class ExtendedDataType extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `CanConvertTo(ExtendedDataType other)`
  `static ExtendedDataType`
  `Create(int dt)`
  `static ExtendedDataType`
  `CreateString()`
  `static ExtendedDataType`
  `CreateString(long nMaxStringLength)`
  `static ExtendedDataType`
  `CreateString(long nMaxStringLength, ExtendedDataTypeSubType eSubType)`
  `void`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `boolean`
  `Equals(ExtendedDataType other)`
  `ExtendedDataTypeClass`
  `GetClass()`
  `long`
  `GetMaxStringLength()`
  `String`
  `GetName()`
  `int`
  `GetNumericDataType()`
  `RasterAttributeTable`
  `GetRAT()`
  `long`
  `GetSize()`
  `ExtendedDataTypeSubType`
  `GetSubType()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### Create

    public static ExtendedDataType Create(int dt)

  - ### CreateString

    public static ExtendedDataType CreateString(long nMaxStringLength, ExtendedDataTypeSubType eSubType)

  - ### CreateString

    public static ExtendedDataType CreateString(long nMaxStringLength)

  - ### CreateString

    public static ExtendedDataType CreateString()

  - ### GetName

    public String GetName()

  - ### GetClass

    public ExtendedDataTypeClass GetClass()

  - ### GetNumericDataType

    public int GetNumericDataType()

  - ### GetSize

    public long GetSize()

  - ### GetMaxStringLength

    public long GetMaxStringLength()

  - ### GetSubType

    public ExtendedDataTypeSubType GetSubType()

  - ### GetRAT

    public RasterAttributeTable GetRAT()

  - ### CanConvertTo

    public boolean CanConvertTo(ExtendedDataType other)

  - ### Equals

    public boolean Equals(ExtendedDataType other)